<?php if (!defined('PmWiki')) exit();
// See gridworks/README
if (file_exists("cookbook/gridworks/gridworks.php")) {
  $EnableGridWorks = 1;
  include_once('cookbook/gridworks/gridworks.php');
}

// See: http://necolas.github.io/griddle/
function GriddleLoadLib(&$gridworks) {

	global $GridWorks, $HTMLHeaderFmt;
	extract($gridworks, EXTR_OVERWRITE);

	SDV($GridWorks['griddle_path'], '/pub/lib/griddle/140301');
	$webpath = &$GridWorks['griddle_path'];
	$h1 = ''; $h2 = ''; $h3 = ''; $h6 = ''; $e1 = ''; $e2 = '';

	if($showgrid !== '0') {
	  $h1 = "\n<link rel='stylesheet' href='$webpath/css/showgrid$showgrid.css' type='text/css' />";
	}

	if($iecompat !== '0') { # TODO
// html5 shim
$e1 = "\n
    <!--[if (lt IE 9) & (!IEMobile)]>
    <link rel='stylesheet' href='css/mobile.css'>
    <link rel='stylesheet' href='css/desktop.css'>
    <![endif]-->;
";
	}

	$h4 = ''; $h5 = '';
	if($loadmethod === 'js') { # TODO
	  //$h2 = "\n<script type='text/javascript' src='$webpath/js/config.js'></script>";
	  //$h3 = "\n<script type='text/javascript' src='$webpath/js/adapt.js'></script>";
	}

	if($loadmethod === 'mq') {
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/mq/import.css' type='text/css' />";
	}

	if($loadmethod === 'mqcombo') {
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/grid/griddle-responsive.css' type='text/css' />";
	}

	$_h4 = "\n<link rel='stylesheet' href='$webpath/css/normalize.css' type='text/css' />";
	if($resetcss === 'normalize') { $h4 = $_h4; }

	$h = $h4.$h5.$h1.$h6.$h2.$h3;
	$HTMLHeaderFmt['GridWorks'] = "\n<!--GridWorksFmt-->".$h."\n<!--/GridWorksFmt-->";

}

function GridWorks2($pagename, $args) {

	$gridworks = _GridWorks($pagename, $args);
	$error = GriddleLoadLib($gridworks);
	return @$error;

}

