<?php if (!defined('PmWiki')) exit();
// See gridworks/README
if (file_exists("cookbook/gridworks/gridworks.php")) {
  $EnableGridWorks = 1;
  include_once('cookbook/gridworks/gridworks.php');
}

// See: http://purecss.io
function PurecssLoadLib(&$gridworks) {

  global $GridWorks, $HTMLHeaderFmt;
  extract($gridworks, EXTR_OVERWRITE);

  SDV($GridWorks['purecss_path'], '/pub/lib/purecss/3.0.0');
  $webpath = &$GridWorks['purecss_path'];
  $h1 = $h2 = $h3 = $h6 = $e1 = $e2 = '';

  if($showgrid !== '0') {
    $h1 = "\n<link rel='stylesheet' href='$webpath/css/showgrid$showgrid.css' type='text/css' />";
  }

  if($loadmethod === 'mqcombo') {
    $h2 = "\n<link rel='stylesheet' href='$webpath/css/grids-responsive-min.css' type='text/css' />";
  }

  $h5 = "\n<link rel='stylesheet' href='$webpath/css/grids-min.css' type='text/css' />";
  $h4 = "\n<link rel='stylesheet' href='$webpath/css/base-min.css' type='text/css' />";
  if($resetcss === 'all') { $h4 = ''; $h5 = ''; }
  if($resetcss === 'normalize') { $h4 = ''; }
  if($resetcss === 'main') { $h5 = ''; }

  $h = $h4.$h5.$h6.$h2.$h3.$h1;
  $HTMLHeaderFmt['GridWorks'] = "\n<!--GridWorksFmt-->".$h."\n<!--/GridWorksFmt-->";

}

function GridWorks2($pagename, $args) {

  $gridworks = _GridWorks($pagename, $args);
  $error = PurecssLoadLib($gridworks);
  return @$error;

}

